--- app_voicemail.c.orig	2006-01-03 08:28:34.000000000 -0700
+++ app_voicemail.c	2006-01-03 09:10:12.000000000 -0700
@@ -4007,8 +4007,45 @@
 }
 	
 /* Default English syntax */
-static int vm_intro_en(struct ast_channel *chan,struct vm_state *vms)
+static int vm_intro_en(struct ast_channel *chan,struct ast_vm_user *vmu, struct vm_state *vms)
 {
+/*Prompt that temp greeting is set give option to remove*/
+	int cmd =0;
+	int retries = 0;
+	char prefile[256]="";
+	snprintf(prefile,sizeof(prefile), "%s%s/%s/temp", VM_SPOOL_DIR, vmu->context, vms->username);
+	if (ast_fileexists(prefile, NULL, NULL) > 0) {
+		while((cmd >= 0) && (cmd != 't')) {
+			if (cmd)
+				retries = 0;
+			if (ast_fileexists(prefile, NULL, NULL) > 0) {
+				switch (cmd) {
+				case '1':
+					cmd = 't';
+					break;
+				case '2':
+					ast_filedelete(prefile, NULL);
+					ast_play_and_wait(chan,"vm-tempremoved");
+					cmd = 't';	
+					break;
+				case '*': 
+					cmd = 't';
+					break;
+				default:
+					if (ast_fileexists(prefile, NULL, NULL) > 0) {
+						cmd = ast_play_and_wait(chan,"vm-tempset");
+					} if (!cmd) {
+						cmd = ast_waitfordigit(chan,6000);
+					} if (!cmd) {
+						retries++;
+					} if (retries > 3) {
+						cmd = 't';
+					}
+				}
+			}
+		}
+	}
+
 	/* Introduce messages they have */
 	int res;
 	res = ast_play_and_wait(chan, "vm-youhave");
@@ -4492,7 +4529,7 @@
 	return res;
 }
 
-static int vm_intro(struct ast_channel *chan,struct vm_state *vms)
+static int vm_intro(struct ast_channel *chan,struct ast_vm_user *vmu,struct vm_state *vms)
 {
 	/* Play voicemail intro - syntax is different for different languages */
 	if (!strcasecmp(chan->language, "de")) {	/* GERMAN syntax */
@@ -4516,7 +4553,7 @@
 	} else if (!strcasecmp(chan->language, "no")) {	/* NORWEGIAN syntax */
 		return vm_intro_no(chan, vms);
 	} else {					/* Default to ENGLISH */
-		return vm_intro_en(chan, vms);
+		return vm_intro_en(chan, vmu, vms);
 	}
 }
 
@@ -5176,7 +5213,7 @@
 		}
 	}
 
-	cmd = vm_intro(chan, &vms);
+	cmd = vm_intro(chan, vmu, &vms);
 
 	vms.repeats = 0;
 	vms.starting = 1;
